import { writable } from 'svelte/store';

const stored_api_endpoint = localStorage.getItem('api_endpoint');
export const api_endpoint = writable(stored_api_endpoint);
api_endpoint.subscribe((value) => {
	if (value != null) {
		localStorage.setItem('api_endpoint', value);
	}
});
const stored_apikey = localStorage.getItem('apikey');
export const apikey = writable(stored_apikey);
apikey.subscribe((value) => {
	if (value != null) {
		localStorage.setItem('apikey', value);
	}
});
const stored_laptime_track = localStorage.getItem('laptime_track');
export const laptime_track = writable(stored_laptime_track);
laptime_track.subscribe((value) => {
	if (value != null) {
		localStorage.setItem('laptime_track', value);
	}
});
const stored_lang = localStorage.getItem('lang') === 'null' ? navigator.language : localStorage.getItem('lang');
export const lang = writable(stored_lang);
lang.subscribe((value) => {
	if (value != null) {
		localStorage.setItem('lang', value);
	}
});

export function clear() {
	api_endpoint.set(null)
	api_endpoint.set("")
	apikey.set(null);
	apikey.set("");
	laptime_track.set(null)
	localStorage.clear();
}